$ErrorActionPreference = 'Stop';

$packageName = 'LogParser.LizardGui'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.lizard-labs.net/Download.aspx?fname=LogParserLizardSetup.msi'
$url64      = 'http://www.lizard-labs.net/Download.aspx?fname=LogParserLizardSetup.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'LogParser.LizardGui*'

  checksum      = '4c1bc009878ef4355b6fd2283b8b520a84b66d03834fdb653fb42bef50f70af8'
  checksumType  = 'sha256'
  checksum64    = '4c1bc009878ef4355b6fd2283b8b520a84b66d03834fdb653fb42bef50f70af8'
  checksumType64= 'sha256'

  silentArgs    = "/quiet /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
